From 98864ccc5a1f2dc80b11a401df2baf1fde8824d1 Mon Sep 17 00:00:00 2001
From: Mart van Santen <mart@greenhost.nl>
Date: Wed, 17 Nov 2021 16:09:38 +0100
Subject: [PATCH] Processed comments

---
 docs/set-ssh-tunnel.sh | 34 +++++++++++++++++++++++++++-------
 1 file changed, 27 insertions(+), 7 deletions(-)

diff --git a/docs/set-ssh-tunnel.sh b/docs/set-ssh-tunnel.sh
index 23fc70b..4884fb7 100755
--- a/docs/set-ssh-tunnel.sh
+++ b/docs/set-ssh-tunnel.sh
@@ -2,18 +2,39 @@
 
 
 host=$1
+namespace=$2
 
 if [ "x$host" == "x" ]
 then
-    echo "Please give host of kubernetes master as argument"
-    exit
+    echo "Please give host of kubernetes master as argument."
+
+    echo " "
+    echo $0 hostname [namespace]
+    exit 1
+fi
+
+
+if [ "x$namespace" == "x" ]
+then
+    namespace="stackspin"
 fi
 
+admin=`ssh $host -lroot kubectl get service -n $namespace |grep single-sign-on-kratos-admin | awk '{print $3'}`
+public=`ssh $host -lroot kubectl get service -n $namespace |grep single-sign-on-kratos-public | awk '{print $3}'`
+hydra=`ssh $host -lroot kubectl get service -n $namespace |grep single-sign-on-hydra-admin | awk '{print $3}'`
+psql=`ssh $host -lroot kubectl get service -n $namespace |grep single-sign-on-postgres|grep -v headless | awk '{print $3}'`
+
+
+if [ "x$admin" == 'x' ]
+then
+    echo "It seems we where not able connect at least one of the ports"
+    echo "  please make sure that kubectl use the right namespace by default."
+    echo "  normally this is 'stackspin'. If you use a different namespace"
+    echo "  please provide this as second argument"
+    exit 1
+fi
 
-admin=`ssh $host -lroot kubectl get service -n oas|grep single-sign-on-kratos-admin | awk '{print $3'}`
-public=`ssh $host -lroot kubectl get service -n oas|grep single-sign-on-kratos-public | awk '{print $3}'`
-hydra=`ssh $host -lroot kubectl get service -n oas|grep single-sign-on-hydra-admin | awk '{print $3}'`
-psql=`ssh $host -lroot kubectl get service -n oas|grep single-sign-on-postgres|grep -v headless | awk '{print $3}'`
+echo $admin
 
 echo "
 kratos admin port will be at localhost: 8000
@@ -22,5 +43,4 @@ hydra admin port will be at localhost:4445
 psql port will be at localhost:5432
 "
 
-     
 ssh -L 8000:$admin:80 -L 8080:$public:80 -L 4445:$hydra:4445 -L 5432:$psql:5432 root@$host 
-- 
GitLab